---
lang: en
title: 'API docs: security.principal'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/security
permalink: /doc/en/lb4/apidocs.security.principal.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/security](./security.md) &gt; [Principal](./security.principal.md)

## Principal interface

Represent a user, an application, or a device

**Signature:**

```typescript
export interface Principal 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [\[securityId\]](./security.principal._securityid_.md) |  | string | Name/id |


